​
Select Service
ves-io-schema-fast_acl-API-Get
Published April 5, 2023 | Last modified June 22, 2026
Examples of getting fast_acl
Usecase:
Get fast-acl-1234vip from system namespace
Request using vesctl:
vesctl configuration get fast_acl fast-acl-1234vip --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: fast-acl-1234vip namespace: systemreferringObjects: []resourceVersion: "1189"spec: {}status: []systemMetadata: creationTimestamp: "2026-06-19T22:03:02.032717Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: e06dd815-d0be-4d7b-9d81-2d0dc8c8f7a5Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/fast_acls/fast-acl-1234vip?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 843Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:03:02 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "1189", "metadata": { "name": "fast-acl-1234vip", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "e06dd815-d0be-4d7b-9d81-2d0dc8c8f7a5", "creation_timestamp": "2026-06-19T22:03:02.032717Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "protocol_policer": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}